
let angle = 0;

function setup(){
	createCanvas(500,500);
  angleMode(DEGREES);
}

function draw() {
	background(0);
  push();
	translate(100,100);
	rotate(angle);
	fill(255,0,0);
	rectMode(CENTER);
	rect(0,0,100,50);

  pop();
  translate(400,400);
	rotate(angle);
	fill(0,0,255);
	rect(0,0,100,50);
	
	angle = angle + 1;
}
